HQ APIVat categories
Update company VAT category
Updates an existing company VAT category. Ownership is determined from the stored category.
POST
/v1/hq/vat_categories/{category_id}AuthorizationBearer <token>
The Noona HQ API uses Bearer token for authentication.
Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.
Authorization: Bearer your-token
In: header
Path Parameters
category_id*string
Issuer VAT Category ID
Query Parameters
select?array<string>
expand?array<string>
Request Body
application/json
title?string
Example
"Reduced VAT"ratio?number
Format
doubleExample
0.11tax_exemption_reason?string
Example
"M01"default?boolean
Example
falseenabled?boolean
Example
trueavailable?boolean
Example
trueorder?integer
Format
int32Example
1Response Body
application/json
curl -X POST "https://api.noona.is/v1/hq/vat_categories/string" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "vatcat_123456",
"company": "string",
"issuer": "string",
"source_vat": "string",
"title": "Standard VAT",
"locale_key": "dbIssuerVATCategories:nonVATPayer",
"ratio": 0.24,
"tax_exemption_reason": "M01",
"vat_treatment": "non_vat_payer",
"editable": true,
"system": false,
"requires_tax_exemption_reason": false,
"default": true,
"enabled": true,
"available": true,
"order": 0,
"created_at": "2026-06-17T12:00:00Z",
"updated_at": "2026-06-17T12:00:00Z"
}Empty
Empty
Empty
Empty
Empty